package com.ruoyi.project.aspen.service.impl;

import java.util.List;

import com.ruoyi.project.aspen.domain.TDashboarddayeleceight;
import com.ruoyi.project.aspen.mapper.TDashboarddayeleceightMapper;
import com.ruoyi.project.aspen.service.ITDashboarddayeleceightService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;


/**
 * 电厂大屏每日8：00抓取数据Service业务层处理
 *
 * @author ruoyi
 * @date 2022-03-12
 */
@Service
public class TDashboarddayeleceightServiceImpl implements ITDashboarddayeleceightService
{
    @Resource
    private TDashboarddayeleceightMapper tDashboarddayeleceightMapper;

    /**
     * 查询电厂大屏每日8：00抓取数据
     *
     * @param id 电厂大屏每日8：00抓取数据ID
     * @return 电厂大屏每日8：00抓取数据
     */
    @Override
    public TDashboarddayeleceight selectTDashboarddayeleceightById(Long id)
    {
        return tDashboarddayeleceightMapper.selectTDashboarddayeleceightById(id);
    }

    /**
     * 查询电厂大屏每日8：00抓取数据列表
     *
     * @param tDashboarddayeleceight 电厂大屏每日8：00抓取数据
     * @return 电厂大屏每日8：00抓取数据
     */
    @Override
    public List<TDashboarddayeleceight> selectTDashboarddayeleceightList(TDashboarddayeleceight tDashboarddayeleceight)
    {
        return tDashboarddayeleceightMapper.selectTDashboarddayeleceightList(tDashboarddayeleceight);
    }

    /**
     * 新增电厂大屏每日8：00抓取数据
     *
     * @param tDashboarddayeleceight 电厂大屏每日8：00抓取数据
     * @return 结果
     */
    @Override
    public int insertTDashboarddayeleceight(TDashboarddayeleceight tDashboarddayeleceight)
    {
        return tDashboarddayeleceightMapper.insertTDashboarddayeleceight(tDashboarddayeleceight);
    }

    /**
     * 修改电厂大屏每日8：00抓取数据
     *
     * @param tDashboarddayeleceight 电厂大屏每日8：00抓取数据
     * @return 结果
     */
    @Override
    public int updateTDashboarddayeleceight(TDashboarddayeleceight tDashboarddayeleceight)
    {
        return tDashboarddayeleceightMapper.updateTDashboarddayeleceight(tDashboarddayeleceight);
    }

    /**
     * 批量删除电厂大屏每日8：00抓取数据
     *
     * @param ids 需要删除的电厂大屏每日8：00抓取数据ID
     * @return 结果
     */
    @Override
    public int deleteTDashboarddayeleceightByIds(Long[] ids)
    {
        return tDashboarddayeleceightMapper.deleteTDashboarddayeleceightByIds(ids);
    }

    /**
     * 删除电厂大屏每日8：00抓取数据信息
     *
     * @param id 电厂大屏每日8：00抓取数据ID
     * @return 结果
     */
    @Override
    public int deleteTDashboarddayeleceightById(Long id)
    {
        return tDashboarddayeleceightMapper.deleteTDashboarddayeleceightById(id);
    }

    @Override
    public List<TDashboarddayeleceight> selectWeek(TDashboarddayeleceight tDashboarddayeleceight) {
        return tDashboarddayeleceightMapper.selectWeek(tDashboarddayeleceight);
    }
}
